Bank Kalteng (Phase 2) - Feature #1402

[ESS PMS] Bobot Perhitungan KPI dan Competency
07/22/2022 05:37 PM - Mega Yunita

Status: Closed Start date: 07/22/2022
Priority: Immediate Due date: 07/25/2022
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

Dear Pak Yusuf,

Mohon bantuannya untuk membuatkan validasi untuk perhitungan KPI dan Competency di ESS PMS BKT. Dimana ketentuannya
adalah :

1. Jika PositionHead = 0 (NO) menggunakan perhitungan KPI 80% dan Competency 20%

2. Jika PositionHead = 1 (YES) menggunakan perhitungan KPI 70% dan Competency 30%

3. PositionHead berada di table PHROMO0001

4. Bobot tersebut muncul secara autofill di form GS, Review, dan Final

5. Tadi saya juga menambahkan Parameter di GenParam dengan nama parameter WEIGHTPMSNO untuk perhitungan bobot 80%
dan 20%.

Port : http://103.168.134.28:31130/

Server : 103.168.134.119

DB : MinovaES_BankKalteng_Dev

Menu :MyWorkPlace > Request > PMS Goal Setting, PMS Review, PMS Final
History

#1 - 07/22/2022 05:38 PM - Mega Yunita

- Description updated

#2 - 07/25/2022 09:00 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#3 - 07/25/2022 10:22 AM - Mr. Yusuf
- Assignee changed from Mr. Yusuf to M Azid Wahyudi
http://103.168.134.28:31130/

#4 - 07/25/2022 10:36 AM - Mr. Yusuf
- File Screenshot (34).png added

Mega Yunita wrote:
Dear Pak Yusuf,

Mohon bantuannya untuk membuatkan validasi untuk perhitungan KPI dan Competency di ESS PMS BKT. Dimana ketentuannya adalah :

1. Jika PositionHead = 0 (NO) menggunakan perhitungan KPl 80% dan Competency 20%

2. Jika PositionHead = 1 (YES) menggunakan perhitungan KPI 70% dan Competency 30%

3. PositionHead berada di table PHROMO0001

4. Bobot tersebut muncul secara autofill di form GS, Review, dan Final

5. Tadi saya juga menambahkan Parameter di GenParam dengan nama parameter WEIGHTPMSNO untuk perhitungan bobot 80% dan 20%.

Port : http://103.168.134.28:31130/

Server : 103.168.134.119

DB : MinovaES_BankKalteng_Dev

Menu :MyWorkPlace > Request > PMS Goal Setting, PMS Review, PMS Final

Semoga dapat dimengerti
Dear Azid,

Tolong di tambahkan coding di afterrender taskid create/start untuk Workflow(PMS_Goal, PMS_Review, PMS_Final), saat karyawan yg request
posisinya head (artinya di tabel PHROMOO001 ispositionheadnya = 1), maka lihat di tabel GENPARAM yg parameternya WEIGHTPMS. Isi field
KPIWeight = Value1, dan KBIWeight = Value2.

Namun jika bukan position head, maka lihat di tabel GENPARAM yg parameternya WEIGHTPMSNO. Isi field KPIWeight = Value1, dan KBIWeight =
Value2.

Thx u

#5 - 07/25/2022 10:39 AM - Mr. Yusuf
- File deleted (Screenshot (34).png)

#6 - 07/25/2022 10:41 AM - Mr. Yusuf
- File Screenshot_11.png added

#7 - 07/25/2022 10:41 AM - Mr. Yusuf
- File Screenshot_11.png added
http://103.168.134.28:31130/

Performance Goal Setting

HOME > PERFORMANCE GOAL SETTING:

Reguester |D: 10000182

Regqueaster Name: Fadnil Muammar Guvian

Subject:

Description:
#8 - 07/25/2022 10:53 AM - Mega Yunita
iya, betul untuk di situ pak

#9 - 07/28/2022 12:13 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Mega Yunita

dear mega, uudah bisa di test ya

makasih

#10 - 08/08/2022 02:10 PM - Mega Yunita
- Status changed from QA Test to Closed

Done Mas Azid, thank you
